Menu

## CharacterStatInterface
in

CharacterStatInterface.php : 6

### Table of Contents

__construct() : mixed
  CharacterStatInterface constructor.
getId() : string
getName() : string
getValue() : mixed
getValueAsString() : string
getWeight() : int
setName() : mixed
setValue() : mixed
setWeight() : mixed

### Methods

#### __construct()

CharacterStatInterface.php : 14

CharacterStatInterface constructor.

`public __construct(string $id, string $name, $value, int $weight) : mixed`

##### Parameters

$id : string
$name : string
$value :
$weight : int

##### Return values

mixed —

#### getId()

CharacterStatInterface.php : 19
`public getId() : string`

##### Return values

string —

#### getName()

CharacterStatInterface.php : 24
`public getName() : string`

##### Return values

string —

#### getValue()

CharacterStatInterface.php : 35
`public getValue() : mixed`

##### Return values

mixed —

#### getValueAsString()

CharacterStatInterface.php : 46
`public getValueAsString() : string`

##### Return values

string —

#### getWeight()

CharacterStatInterface.php : 51
`public getWeight() : int`

##### Return values

int —

#### setName()

CharacterStatInterface.php : 30
`public setName(string $name) : mixed`

##### Parameters

$name : string

##### Return values

mixed —

#### setValue()

CharacterStatInterface.php : 41
`public setValue( $value) : mixed`

##### Parameters

$value :

##### Return values

mixed —

#### setWeight()

CharacterStatInterface.php : 57
`public setWeight(int $weight) : mixed`

##### Parameters

$weight : int

##### Return values

mixed —

## Search results